<?php
	require("../__common__/__define_common.php");
	require("../__common__/include-common-all.php");
	require("__include-common-code-file.php");
	my_session_start();
	require("../account/__logincheck.php");
	if ($_SESSION['システム管理者'] <> "YES") {
		exit;
	}
	if (FILE_MANAGER_ID_PASSWORD_USE == 'YES') {
		if ($_SESSION['_id_mgr_logincheck'] <> "OK") {
			exit;
		}
	}
	if ($_GET['ret'].'' == '') {
		$ret_php = 'file-manager.php';
	} else {
		$ret_php = $_GET['ret'];
	}
	if ($_GET['path'].'' == '') {
		error_simple_html('エラー', 'パス指定がありません。');
	}
	$path = my_GET('path');
	if (myfile_file_exists($path)) {
		$copy_file = copy_file_name($path);
		if (@myfile_copy($path, $copy_file) == False) {
			error_simple_html('ファイルコピーエラー', 'ファイル['.basename($path).']のコピーに失敗しました。');
		}
	}
	header("Location: ".$ret_php."?path=".urlencode(up_folder_path($path))."#file");
function copy_file_name($path, $num='') {
	$pos = strrpos($path, '.');
	if ($pos) {
		$copy_file = substr($path, 0, $pos).'-COPY'.strval($num).substr($path, $pos);
	} else {
		$copy_file = $path.'-COPY'.strval($num);
	}
	if (myfile_file_exists($copy_file)) {
		if ($num == '') $num = 1;
		$copy_file = copy_file_name($path, ++$num);
	}
	return $copy_file;
}
?>
